Subject: Re: bug#71139: herd unresponsive on new 1.4.0 install

From: Antero Mejr <[email-masked]>
Date: Fri, 24 May 2024 18:36:13 +0000

Ludovic Courtès <[email-masked]> writes:

> Could it be that your system clock changed drastically, for instance in
> response to ntpd synchronization?  There’s a bug when that happens:
>
>   https://github.com/wingo/fibers/issues/89

Yes I think that's it, since the machine was a server that hadn't done
an NTP sync before.

Perhaps we should consider using Fibers 1.1 for all architectures? This
problem occurred on a x86-64 machine. This issue reverted Fibers 1.3
just for ARM:
https://issues.guix.gnu.org/64966#6

Based on the Github discussion, it seems this bug isn't a priority for
the Fibers maintainers, and it has been an outstanding (and seemingly
common) issue for almost a year now.